<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/TentBase/LargeTent.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d30/_large_tent_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">LargeTent.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d7/d30/_large_tent_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:aa3f87dc65c87584aee3ad19f700a9e78"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a> { <a class="el" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78a6f2e9aa128edda11c4d4dc1248afe228">REPACK</a> = 1
, <a class="el" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a> = 0
 }</td></tr>
<tr class="separator:aa3f87dc65c87584aee3ad19f700a9e78"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0aa0eb63239a94948e58cf69340aa794"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a0aa0eb63239a94948e58cf69340aa794">LargeTent</a> ()</td></tr>
<tr class="separator:a0aa0eb63239a94948e58cf69340aa794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94f1d6755f96b77bd1c342d9575d993b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a94f1d6755f96b77bd1c342d9575d993b">~LargeTent</a> ()</td></tr>
<tr class="separator:a94f1d6755f96b77bd1c342d9575d993b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23f886d53b513cd9424769403fbf6866"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a23f886d53b513cd9424769403fbf6866">OnRPC</a> (<a class="el" href="../../df/d11/class_player_identity.html">PlayerIdentity</a> sender, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> rpc_type, <a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="memdesc:a23f886d53b513cd9424769403fbf6866"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called after remote procedure call is recieved for this object.  <a href="../../d7/d30/_large_tent_8c.html#a23f886d53b513cd9424769403fbf6866">More...</a><br /></td></tr>
<tr class="separator:a23f886d53b513cd9424769403fbf6866"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e378fbfad6f80446403d5da027cb5f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#ad4e378fbfad6f80446403d5da027cb5f">PlayRepackingLoopSound</a> ()</td></tr>
<tr class="separator:ad4e378fbfad6f80446403d5da027cb5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a023c9b2db29d55a2f53e8d6f0b726e54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a023c9b2db29d55a2f53e8d6f0b726e54">StopRepackingLoopSound</a> ()</td></tr>
<tr class="separator:a023c9b2db29d55a2f53e8d6f0b726e54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58793c1561abb560da4377da77ad6dea"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a58793c1561abb560da4377da77ad6dea">EEInit</a> ()</td></tr>
<tr class="separator:a58793c1561abb560da4377da77ad6dea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1320fa5889e47c848cbb7b33a142bda2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a1320fa5889e47c848cbb7b33a142bda2">OnItemLocationChanged</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_owner, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_owner)</td></tr>
<tr class="separator:a1320fa5889e47c848cbb7b33a142bda2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75b30d72167727515f18521ce9bce73b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a75b30d72167727515f18521ce9bce73b">GetSoundOpen</a> ()</td></tr>
<tr class="separator:a75b30d72167727515f18521ce9bce73b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45f2882d475d97138d3c10f3e5ba696e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a45f2882d475d97138d3c10f3e5ba696e">GetSoundClose</a> ()</td></tr>
<tr class="separator:a45f2882d475d97138d3c10f3e5ba696e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdc00cf2ca2f21b4ffe67780e2151d0e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#afdc00cf2ca2f21b4ffe67780e2151d0e">GetSoundOpenWindow</a> ()</td></tr>
<tr class="separator:afdc00cf2ca2f21b4ffe67780e2151d0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac90854b3f16be4314d3174c391b0799b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#ac90854b3f16be4314d3174c391b0799b">GetSoundCloseWindow</a> ()</td></tr>
<tr class="separator:ac90854b3f16be4314d3174c391b0799b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ab3da0ad48c7186966b6d2423aab8c8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a1ab3da0ad48c7186966b6d2423aab8c8">HasClutterCutter</a> ()</td></tr>
<tr class="separator:a1ab3da0ad48c7186966b6d2423aab8c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4636e40a8ddb0eb76dc5c09e8a31caa9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a4636e40a8ddb0eb76dc5c09e8a31caa9">GetClutterCutter</a> ()</td></tr>
<tr class="separator:a4636e40a8ddb0eb76dc5c09e8a31caa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ff31a876fba89e2f0ae6c33af8cd551"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a6ff31a876fba89e2f0ae6c33af8cd551">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:a6ff31a876fba89e2f0ae6c33af8cd551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14046891600537e83da30eb2e7a1f4d5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a14046891600537e83da30eb2e7a1f4d5">GetDeploySoundset</a> ()</td></tr>
<tr class="separator:a14046891600537e83da30eb2e7a1f4d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4403b4f304acf2affb04880ba46a1313"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a4403b4f304acf2affb04880ba46a1313">GetLoopDeploySoundset</a> ()</td></tr>
<tr class="separator:a4403b4f304acf2affb04880ba46a1313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#afa39b7c4d3d085ef8514a87c32b81a4d">SetActions</a> ()</td></tr>
<tr class="separator:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a65638459114f88626eab1bf8ba51751f"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d30/_large_tent_8c.html#a65638459114f88626eab1bf8ba51751f">m_RepackingLoopSound</a></td></tr>
<tr class="separator:a65638459114f88626eab1bf8ba51751f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="aa3f87dc65c87584aee3ad19f700a9e78" name="aa3f87dc65c87584aee3ad19f700a9e78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3f87dc65c87584aee3ad19f700a9e78">&#9670;&#160;</a></span>SoundTypeTent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="aa3f87dc65c87584aee3ad19f700a9e78a6f2e9aa128edda11c4d4dc1248afe228" name="aa3f87dc65c87584aee3ad19f700a9e78a6f2e9aa128edda11c4d4dc1248afe228"></a>REPACK&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aa3f87dc65c87584aee3ad19f700a9e78ac157bdf0b85a40d2619cbc8bc1ae5fe2" name="aa3f87dc65c87584aee3ad19f700a9e78ac157bdf0b85a40d2619cbc8bc1ae5fe2"></a>NONE&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a58793c1561abb560da4377da77ad6dea" name="a58793c1561abb560da4377da77ad6dea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58793c1561abb560da4377da77ad6dea">&#9670;&#160;</a></span>EEInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void EEInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00086">86</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a4636e40a8ddb0eb76dc5c09e8a31caa9" name="a4636e40a8ddb0eb76dc5c09e8a31caa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4636e40a8ddb0eb76dc5c09e8a31caa9">&#9670;&#160;</a></span>GetClutterCutter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetClutterCutter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00121">121</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a14046891600537e83da30eb2e7a1f4d5" name="a14046891600537e83da30eb2e7a1f4d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14046891600537e83da30eb2e7a1f4d5">&#9670;&#160;</a></span>GetDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00146">146</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a4403b4f304acf2affb04880ba46a1313" name="a4403b4f304acf2affb04880ba46a1313"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4403b4f304acf2affb04880ba46a1313">&#9670;&#160;</a></span>GetLoopDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetLoopDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00151">151</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a45f2882d475d97138d3c10f3e5ba696e" name="a45f2882d475d97138d3c10f3e5ba696e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f2882d475d97138d3c10f3e5ba696e">&#9670;&#160;</a></span>GetSoundClose()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetSoundClose </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00101">101</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="ac90854b3f16be4314d3174c391b0799b" name="ac90854b3f16be4314d3174c391b0799b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac90854b3f16be4314d3174c391b0799b">&#9670;&#160;</a></span>GetSoundCloseWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetSoundCloseWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00111">111</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a75b30d72167727515f18521ce9bce73b" name="a75b30d72167727515f18521ce9bce73b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75b30d72167727515f18521ce9bce73b">&#9670;&#160;</a></span>GetSoundOpen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetSoundOpen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00096">96</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="afdc00cf2ca2f21b4ffe67780e2151d0e" name="afdc00cf2ca2f21b4ffe67780e2151d0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdc00cf2ca2f21b4ffe67780e2151d0e">&#9670;&#160;</a></span>GetSoundOpenWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetSoundOpenWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00106">106</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a1ab3da0ad48c7186966b6d2423aab8c8" name="a1ab3da0ad48c7186966b6d2423aab8c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ab3da0ad48c7186966b6d2423aab8c8">&#9670;&#160;</a></span>HasClutterCutter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasClutterCutter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00116">116</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a0aa0eb63239a94948e58cf69340aa794" name="a0aa0eb63239a94948e58cf69340aa794"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aa0eb63239a94948e58cf69340aa794">&#9670;&#160;</a></span>LargeTent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LargeTent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00011">11</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a1320fa5889e47c848cbb7b33a142bda2" name="a1320fa5889e47c848cbb7b33a142bda2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1320fa5889e47c848cbb7b33a142bda2">&#9670;&#160;</a></span>OnItemLocationChanged()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnItemLocationChanged </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_owner</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_owner</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00091">91</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a6ff31a876fba89e2f0ae6c33af8cd551" name="a6ff31a876fba89e2f0ae6c33af8cd551"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ff31a876fba89e2f0ae6c33af8cd551">&#9670;&#160;</a></span>OnPlacementComplete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00130">130</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a23f886d53b513cd9424769403fbf6866" name="a23f886d53b513cd9424769403fbf6866"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23f886d53b513cd9424769403fbf6866">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnRPC </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/d11/class_player_identity.html">PlayerIdentity</a>&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Called after remote procedure call is recieved for this object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rpc_type</td><td>user defined identification of RPC </td></tr>
    <tr><td class="paramname">ctx</td><td>read context for params </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00043">43</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="ad4e378fbfad6f80446403d5da027cb5f" name="ad4e378fbfad6f80446403d5da027cb5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4e378fbfad6f80446403d5da027cb5f">&#9670;&#160;</a></span>PlayRepackingLoopSound()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PlayRepackingLoopSound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00072">72</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="afa39b7c4d3d085ef8514a87c32b81a4d" name="afa39b7c4d3d085ef8514a87c32b81a4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa39b7c4d3d085ef8514a87c32b81a4d">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00156">156</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a023c9b2db29d55a2f53e8d6f0b726e54" name="a023c9b2db29d55a2f53e8d6f0b726e54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a023c9b2db29d55a2f53e8d6f0b726e54">&#9670;&#160;</a></span>StopRepackingLoopSound()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StopRepackingLoopSound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00080">80</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<a id="a94f1d6755f96b77bd1c342d9575d993b" name="a94f1d6755f96b77bd1c342d9575d993b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94f1d6755f96b77bd1c342d9575d993b">&#9670;&#160;</a></span>~LargeTent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ~<a class="el" href="../../d7/d30/_large_tent_8c.html#a0aa0eb63239a94948e58cf69340aa794">LargeTent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d30/_large_tent_8c_source.html#l00038">38</a> of file <a class="el" href="../../d7/d30/_large_tent_8c_source.html">LargeTent.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a65638459114f88626eab1bf8ba51751f" name="a65638459114f88626eab1bf8ba51751f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65638459114f88626eab1bf8ba51751f">&#9670;&#160;</a></span>m_RepackingLoopSound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d30/_large_tent_8c.html#aa3f87dc65c87584aee3ad19f700a9e78">SoundTypeTent</a> m_RepackingLoopSound</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_b819c1b020f40fc10a2588a9962058d1.html">TentBase</a></li><li class="navelem"><a class="el" href="../../d7/d30/_large_tent_8c.html">LargeTent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
